Package org.gradle.external.javadoc

# Enum Class JavadocOutputLevel

java.lang.Object
java.lang.Enum<JavadocOutputLevel>
org.gradle.external.javadoc.JavadocOutputLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<JavadocOutputLevel>`, `Constable`

public enum JavadocOutputLevel extends Enum<JavadocOutputLevel>
This enum maps to the -verbose and -quiet options of the javadoc executable.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`QUIET`
-quiet Shuts off non-error and non-warning messages, leaving only the warnings and errors appear, making them easier to view.
`VERBOSE`
-verbose Provides more detailed messages while javadoc is running.

## Method Summary

Modifier and Type
Method
Description
`static JavadocOutputLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JavadocOutputLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### VERBOSE

public static final JavadocOutputLevel VERBOSE
-verbose Provides more detailed messages while javadoc is running. Without the verbose option, messages appear for loading the source files, generating the documentation (one message per source file), and sorting. The verbose option causes the printing of additional messages specifying the number of milliseconds to parse each java source file.

### QUIET

public static final JavadocOutputLevel QUIET
-quiet Shuts off non-error and non-warning messages, leaving only the warnings and errors appear, making them easier to view. Also suppresses the version string.

## Method Details

### values

public static JavadocOutputLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static JavadocOutputLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null